EnversPostCollectionRecreateEventListenerImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.event
Class EnversPostCollectionRecreateEventListenerImpl

    java.lang.Object
      org.hibernate.envers.event.BaseEnversEventListener
          org.hibernate.envers.event.BaseEnversCollectionEventListener
              org.hibernate.envers.event.EnversPostCollectionRecreateEventListenerImpl

All Implemented Interfaces:
  Serializable, EnversListener, PostCollectionRecreateEventListener

    public class EnversPostCollectionRecreateEventListenerImpl

extends BaseEnversCollectionEventListener
implements PostCollectionRecreateEventListener

See Also:
  Serialized Form

Constructor Summary
`protected` | `EnversPostCollectionRecreateEventListenerImpl(AuditConfiguration enversConfiguration)`

Method Summary
`void` | `onPostRecreateCollection(PostCollectionRecreateEvent event)`

Methods inherited from class org.hibernate.envers.event.BaseEnversCollectionEventListener
`getCollectionEntry, onCollectionAction`

Methods inherited from class org.hibernate.envers.event.BaseEnversEventListener
`generateBidirectionalCollectionChangeWorkUnits, getAuditConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnversPostCollectionRecreateEventListenerImpl

    protected EnversPostCollectionRecreateEventListenerImpl(AuditConfiguration enversConfiguration)

Method Detail

### onPostRecreateCollection

    public void onPostRecreateCollection(PostCollectionRecreateEvent event)

  Specified by:
    `onPostRecreateCollection` in interface `PostCollectionRecreateEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.